## gstvideofilter

gstvideofilter — Base class for video filters

## Synopsis

    #include <gst/video/gstvideofilter.h>

    struct              GstVideoFilter;
    struct              GstVideoFilterClass;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstVideoFilter

## Description

Provides useful functions and a base class for video filters.

The videofilter will by default enable QoS on the parent GstBaseTransform to implement frame dropping.

## Details

### struct GstVideoFilter

    struct GstVideoFilter;

### struct GstVideoFilterClass

    struct GstVideoFilterClass {
      GstBaseTransformClass parent_class;
    };

The video filter class structure.

GstBaseTransformClass `parent_class`; | the parent class structure